[pitivi] autogen: Remove cruft and properly forward arguments to configure



commit 3108deb0f84924b96a4d3aa23749db4ff5a623d9
Author: Thibault Saunier <tsaunier gnome org>
Date:   Thu Jun 2 01:55:01 2016 +0000

    autogen: Remove cruft and properly forward arguments to configure
    
    Reviewed-by: Alex Băluț <alexandru balut gmail com>
    Reviewed-by: Alex Băluț <alexandru balut gmail com>
    Differential Revision: https://phabricator.freedesktop.org/D1053

 autogen.sh |   27 ++++-----------------------
 1 files changed, 4 insertions(+), 23 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7b1f155..bb825cb 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,32 +3,16 @@
 export PYTHON=python3
 
 package=pitivi
-srcfile=pitivi/application.py
-
-CONFIGURE_DEF_OPT=''
 
 # if no arguments specified then this will be printed
 if test -z "$*"; then
   echo "+ checking for autogen.sh options"
   echo "  This autogen script will automatically run ./configure as:"
-  echo "  ./configure $CONFIGURE_DEF_OPT"
+  echo "  ./configure $@"
   echo "  To pass any additional options, please specify them on the $0"
   echo "  command line."
 fi
 
-build_help=true
-while getopts disable-help x; do
-  build_help=false
-done; OPTIND=0
-
-if $build_help; then
-  GNOMEDOC=`which yelp-build`
-  if test -z $GNOMEDOC; then
-    echo "Please intall the yelp-tools package"
-    exit 1
-  fi
-fi
-
 autoreconf --force --install || exit 1
 
 if test -n "$NOCONFIGURE"; then
@@ -37,12 +21,9 @@ if test -n "$NOCONFIGURE"; then
   exit 0
 fi
 
-echo "+ running configure ... "
-test ! -z "$CONFIGURE_DEF_OPT" && echo "  ./configure default flags: $CONFIGURE_DEF_OPT"
-test ! -z "$CONFIGURE_EXT_OPT" && echo "  ./configure external flags: $CONFIGURE_EXT_OPT"
-echo
-
-./configure $CONFIGURE_DEF_OPT $CONFIGURE_EXT_OPT || exit 2
+echo "+ running configure ..."
+echo "./configure $@"
+./configure "$@" || exit 2
 
 # install pre-commit hook for doing clean commits
 rm -f .git/hooks/pre-commit


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]